Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Member Functions | Protected Attributes | List of all members
ACG::SceneGraph::ACG::MeshCompilerDefaultFaceInput Class Reference
Inheritance diagram for ACG::SceneGraph::ACG::MeshCompilerDefaultFaceInput:

## Public Member Functions
| MeshCompilerDefaultFaceInput (int _numFaces, int _numIndices)
int | getNumFaces () const
int | getNumIndices () const
int | getFaceSize (const int _faceID) const
int | getSingleFaceAttr (const int _faceID, const int _faceCorner, const int _attrID) const
bool | getFaceAttr (const int _faceID, const int _attrID, int *_out) const
void | dbgWriteToObjFile (FILE *_file, int _posAttrID=0, int _normalAttrID=-1, int _texcAttrID=-1)
void | setFaceData (int _faceID, int _size, int *_data, int _attrID=0)
Public Member Functions inherited from ACG::SceneGraph::ACG::MeshCompilerFaceInput
virtual int * | getFaceAttr (const int _faceID, const int _attrID) const
virtual int | getVertexAdjCount (const int _vertexID) const
virtual int | getVertexAdjFace (const int _vertexID, const int _k) const

## Protected Attributes
int | numFaces_
int | numIndices_
std::vector< int > | faceOffset_
std::vector< int > | faceSize_
std::vector< int > | faceData_ [16]

## Detailed Description

Definition at line 199 of file MeshNode2T.cc.

## Member Function Documentation

bool ACG::SceneGraph::ACG::MeshCompilerDefaultFaceInput::getFaceAttr | ( | const int | _faceID,
|  | const int | _attrID,
|  | int * | _out
| ) |  | const
| virtual

Get an index buffer of a face for a specific attribute channel.

Parameters

  _faceID | face index
  _attrID | attribute channel
  _out | pointer to output buffer, use getFaceSize(_faceID) to get the size needed to store face data

Returns
  true if successful, false otherwise

Reimplemented from ACG::SceneGraph::ACG::MeshCompilerFaceInput.

int ACG::SceneGraph::ACG::MeshCompilerDefaultFaceInput::getFaceSize | ( | const int | _faceID | ) | const
| inline virtual

Get number of vertices per face.

Parameters

  _faceID | face index

Implements ACG::SceneGraph::ACG::MeshCompilerFaceInput.

Definition at line 208 of file MeshNode2T.cc.

int ACG::SceneGraph::ACG::MeshCompilerDefaultFaceInput::getNumIndices | ( |  | ) | const
| inline virtual

Get total number of indices in one attribute channel.

i.e. total number of position indices of the whole mesh

Implements ACG::SceneGraph::ACG::MeshCompilerFaceInput.

Definition at line 206 of file MeshNode2T.cc.

int ACG::SceneGraph::ACG::MeshCompilerDefaultFaceInput::getSingleFaceAttr | ( | const int | _faceID,
|  | const int | _faceCorner,
|  | const int | _attrID
| ) |  | const
| virtual

Get a single vertex-index entry of a face.

Parameters

  _faceID | face index
  _faceCorner | vertex corner of the face
  _attrID | attribute channel

Returns
  index-data if successful, -1 otherwise

Reimplemented from ACG::SceneGraph::ACG::MeshCompilerFaceInput.

The documentation for this class was generated from the following file:

- ACG/Scenegraph/MeshNode2T.cc